Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.compendium.config.internal
Class ConfigPropertiesDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
              org.springframework.beans.factory.xml.AbstractSimpleBeanDefinitionParser
                  org.eclipse.gemini.blueprint.compendium.config.internal.ConfigPropertiesDefinitionParser

All Implemented Interfaces:
  org.springframework.beans.factory.xml.BeanDefinitionParser

    public class ConfigPropertiesDefinitionParser

extends org.springframework.beans.factory.xml.AbstractSimpleBeanDefinitionParser

Simple namespace parser for osgix:cm-properties. Extends Single bean definition parser (instead of the simpleBeanDefParser) to properly filter attributes based on the declared namespace.

Author:
  Costin Leau

Field Summary

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`ConfigPropertiesDefinitionParser()`

Method Summary
`protected void` | `doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected Class<?>` | `getBeanClass(Element element)`

Methods inherited from class org.springframework.beans.factory.xml.AbstractSimpleBeanDefinitionParser
`extractPropertyName, isEligibleAttribute, isEligibleAttribute, isEligibleAttribute, postProcess`

Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
`doParse, getBeanClassName, getParentName, parseInternal`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigPropertiesDefinitionParser

    public ConfigPropertiesDefinitionParser()

Method Detail

### getBeanClass

    protected Class<?> getBeanClass(Element element)

  Overrides:
    `getBeanClass` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

### doParse

    protected void doParse(Element element,
                           org.springframework.beans.factory.xml.ParserContext parserContext,
                           org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  Overrides:
    `doParse` in class `org.springframework.beans.factory.xml.AbstractSimpleBeanDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.